Blocked Mailbox...

Adam Williams awilliam at mdah.state.ms.us
Wed Mar 19 08:08:01 CST 2003


I can help you compile the code, you have to make a few hand edits to get
it to compile.  email me directly if interested.  My Perc2/DC (megaraid)
card started giving these errors and after a few days got worse and worse.
THe card went bad and I had to contact dell support and hav ea new card
shipped to me and the problems went away after putting in the new card.

Have you upgraded your firmware to version 1.01?  Go to dell's support
site and search for d4935552.exe and cdenabv2.exe and run both and let
them extract to floppies.  boot off of them and run the respective
tests on each floppy.  One does a complete hard disk scan, and the other
downloads the error log from the scsi card.

			Adam

On Tue, 18 Mar 2003, Hayes, Sean MHR:EX wrote:

> We've started to receive the 'Blocked Mailbox' error which requires a hard
> reboot.  We were hoping this new setup would become a production
> environment, but the current instability needs to be fixed first.
>
> We have a Power Edge 2300 Server with a Raid II (version [U.84:1.63])
> running Red Hat 8.0 (kernel 2.4.18-27.8.0).  We upgraded to the recent
> 2.4.18-27.8.0 due to the blocked mailbox problem, thinking it might contain
> a new megaraid module.  As we're still experiencing the problem, we started
> to look into it further and found that the version installed is (megaraid
> 1.18d).  From the site (domsch.com/linux) I found information saying the fix
> is in the 2.0 release.  So, in trying to compile the 2.00.3 or (2.00) module
> with:
>
> gcc -o megaraid.o -Wall -W -O2 -DMODULE -D__KERNEL__
> -I/lib/modules/2.4.18-27.8.0/build/include -c megaraid.c
>
> I receive a large number of warnings (sample below) and no module created.
> We're relatively knew to linux and would appreciate any information you can
> supply or direct us to.  I am now reading through the archived mailing lists
> on :domsch.com/linux, but all the references i've found are to do with
> 2.4.18-20 of the kernel which is no longer available on the red hat site.
>
> Thanks in advance.
>
> <<In file included from
> /lib/modules/2.4.18-27.8.0/build/include/linux/fs.h:201,
>                  from
> /lib/modules/2.4.18-27.8.0/build/include/linux/capability.h:17,
>                  from
> /lib/modules/2.4.18-27.8.0/build/include/linux/binfmts.h:5,
>                  from
> /lib/modules/2.4.18-27.8.0/build/include/linux/sched.h:9,
>                  from /lib/modules/2.4.18-27.8.0/build/include/linux/mm.h:4,
>                  from megaraid.c:28:
> /lib/modules/2.4.18-27.8.0/build/include/asm/byteorder.h:14: warning: type
> qualifiers ignored on function return type
> /lib/modules/2.4.18-27.8.0/build/include/asm/byteorder.h:28: warning: type
> qualifiers ignored on function return type
> In file included from
> /lib/modules/2.4.18-27.8.0/build/include/linux/byteorder/little_endian.h:11,
>                  from
> /lib/modules/2.4.18-27.8.0/build/include/asm/byteorder.h:45,
>                  from
> /lib/modules/2.4.18-27.8.0/build/include/linux/fs.h:201,
>                  from
> /lib/modules/2.4.18-27.8.0/build/include/linux/capability.h:17,
>                  from
> /lib/modules/2.4.18-27.8.0/build/include/linux/binfmts.h:5,
>                  from
> /lib/modules/2.4.18-27.8.0/build/include/linux/sched.h:9,
>                  from /lib/modules/2.4.18-27.8.0/build/include/linux/mm.h:4,
>                  from megaraid.c:28:
> /lib/modules/2.4.18-27.8.0/build/include/linux/byteorder/swab.h:132:
> warning: type qualifiers ignored on function return type
> /lib/modules/2.4.18-27.8.0/build/include/linux/byteorder/swab.h:145:
> warning: type qualifiers ignored on function return type
> /lib/modules/2.4.18-27.8.0/build/include/linux/byteorder/swab.h:159:
> warning: type qualifiers ignored on function return type
> In file included from
> /lib/modules/2.4.18-27.8.0/build/include/linux/sched.h:26,
>                  from /lib/modules/2.4.18-27.8.0/build/include/linux/mm.h:4,
>                  from megaraid.c:28:
> /lib/modules/2.4.18-27.8.0/build/include/linux/signal.h: In function
> `sigorsets':
> /lib/modules/2.4.18-27.8.0/build/include/linux/signal.h:108: warning:
> comparison of unsigned expression < 0 is always false
> /lib/modules/2.4.18-27.8.0/build/include/linux/signal.h: In function
> `sigandsets':
> /lib/modules/2.4.18-27.8.0/build/include/linux/signal.h:111: warning:
> comparison of unsigned expression < 0 is always false
> /lib/modules/2.4.18-27.8.0/build/include/linux/signal.h: In function
> `signandsets':
> /lib/modules/2.4.18-27.8.0/build/include/linux/signal.h:114: warning:
> comparison of unsigned expression < 0 is always false
> /lib/modules/2.4.18-27.8.0/build/include/linux/signal.h: In function
> `signotset':
> /lib/modules/2.4.18-27.8.0/build/include/linux/signal.h:140: warning:
> comparison of unsigned expression < 0 is always false
>
>
> ~ Sean Hayes
>
> _______________________________________________
> Linux-PowerEdge mailing list
> Linux-PowerEdge at dell.com
> http://lists.us.dell.com/mailman/listinfo/linux-poweredge
> Please read the FAQ at http://lists.us.dell.com/faq or search the list archives at http://lists.us.dell.com/htdig/
>




More information about the Linux-PowerEdge mailing list